# Package org.jboss.classfilewriter

Interface Summary
Interface | Description
--- | ---
WritableEntry | a part of the class file that knows hows to write itself to a `ByteArrayOutputStream`

Class Summary
Class | Description
--- | ---
AccessFlag |
ClassField | A field in a class
ClassFile |
ClassMethod |
JavaVersions |

Exception Summary
Exception | Description
--- | ---
DuplicateMemberException | Exception thrown if the same field or method is added twice
InvalidBytecodeException |